Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.certclient
Class PkEeRevokeFactory

    java.lang.Object
      com.ibm.security.certclient.PkEeFactory
          com.ibm.security.certclient.PkEeRevokeFactory

    public final class PkEeRevokeFactory

extends PkEeFactory

Revoke a signed certificate kept in the end entity's keystore

Field Summary

Fields inherited from class com.ibm.security.certclient.PkEeFactory
`CA_DN, caDn, caPort, cmpEvntFmt, keystoreFilename, keystorePwd, keyStoreType, provider`

Method Summary
`static PkEeTransaction` | `newRevoke(String certAlias, String certPwd, String reason, String revoPwd)` Initiate a certificate revocation request to the supplied CA.

Methods inherited from class com.ibm.security.certclient.PkEeFactory
`getCA_DN, getCaDn, getCaPort, getCmpFmt, getKeystoreFilename, getKeyStoreType, getProvider, setCA_DN, setCaDn, setCaPort, setKeystoreFilename, setKeystorePwd, setKeyStoreType, setProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newRevoke

    public static PkEeTransaction newRevoke(String certAlias,
                                            String certPwd,
                                            String reason,
                                            String revoPwd)
                                     throws com.ibm.security.certclient.base.PkException

  Initiate a certificate revocation request to the supplied CA. Require that the certificate being revoked is stored in the EE's keystore.

  Parameters:
    `certAlias` - The keystore label of the certificate being revoked. The EE keystore is defined in this factory.
    `certPwd` - The protection password for the certificate. If not specified, the value specified for the keystore password on PkEeFactory will be used.
    `reason` - The reason for revocation. One of the following - "unspecified" "key compromise" "ca compromise" "affiliation changed" "superseded" "cessation of operation" "certificate hold" "remove from crl"
    `revoPwd` - password required to revoke this certificate as supplied when the certificate request was initiated.
  Throws:
    `com.ibm.security.certclient.base.PkException` - Parameter error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD